Page MenuHomeFreeBSD

Add blacklist support to sshd
ClosedPublic

Authored by lidl on Apr 11 2016, 4:17 PM.

Details

Summary

Add blacklist support to sshd

Depends on D5912
Depends on D5913

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 3218
Build 3251: arc lint + arc unit

Event Timeline

lidl updated this revision to Diff 15084.Apr 11 2016, 4:17 PM
lidl retitled this revision from to Add blacklist support to sshd.
lidl updated this object.
lidl edited the test plan for this revision. (Show Details)
lidl added reviewers: rpaulo, emaste, gnn, des.
emaste added inline comments.Apr 11 2016, 4:21 PM
crypto/openssh/blacklist.c
28

Indeed, what is fd 3 here?

lidl updated this revision to Diff 16968.May 27 2016, 4:15 AM

Updated to address emaste's comment, and log an error message when that condition arises.

I have never run into that condition in all my testing.

rpaulo accepted this revision.May 27 2016, 7:23 PM
rpaulo edited edge metadata.
rpaulo added inline comments.
crypto/openssh/blacklist.c
2

Missing some kind of copyright.

23

What exactly is "a" ? It's always 1. Please drop the variable if it's not really used.

crypto/openssh/blacklist_client.h
2

Missing copyright.

This revision is now accepted and ready to land.May 27 2016, 7:23 PM
lidl added inline comments.May 27 2016, 8:12 PM
crypto/openssh/blacklist.c
2

This is a verbatim import from NetBSD's patches, but doesn't have a copyright on it. I guess I should put on the NetBSD copyright, and have Christos augment the upstream diffs.

23

It's the action (zero = successful login), (one = failed login).

Ideally, the code would also send successful login to zero out any bad login counts that are in progress.

e.g. - two failed logins from an IP address, and then a successful login would reset the running count of failed logins to zero for that IP address.

lidl updated this revision to Diff 17255.Jun 3 2016, 3:39 AM
lidl edited edge metadata.
lidl removed rS FreeBSD src repository as the repository for this revision.

Added NetBSD copyrights to appropriate files.
Rename 'a' variable to 'action' to better reflect its usage.

This revision now requires review to proceed.Jun 3 2016, 3:39 AM
This revision was automatically updated to reflect the committed changes.